# Uses of Class
org.apache.zookeeper.data.ACL

Packages that use ACL
Package
Description
org.apache.zookeeper
org.apache.zookeeper.cli
org.apache.zookeeper.data
org.apache.zookeeper.proto
org.apache.zookeeper.retry
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.auth
org.apache.zookeeper.server.watch
org.apache.zookeeper.txn

## Uses of ACL in org.apache.zookeeper

Fields in org.apache.zookeeper with type parameters of type ACL
Modifier and Type
Field
Description
`protected List<ACL>`
Op.Create.`acl`
`static final ArrayList<ACL>`
ZooDefs.Ids.`CREATOR_ALL_ACL`
This ACL gives the creators authentication id's all permissions.
`static final ArrayList<ACL>`
ZooDefs.Ids.`OPEN_ACL_UNSAFE`
This is a completely open ACL .
`static final ArrayList<ACL>`
ZooDefs.Ids.`READ_ACL_UNSAFE`
This ACL gives the world the ability to read.
Methods in org.apache.zookeeper that return types with arguments of type ACL
Modifier and Type
Method
Description
`List<ACL>`
CreateOptions.`getAcl()`
`List<ACL>`
ZooKeeper.`getACL(String path, Stat stat)`
Return the ACL and stat of the node of the given path.
Method parameters in org.apache.zookeeper with type arguments of type ACL
Modifier and Type
Method
Description
`static String`
ZKUtil.`aclToString(List<ACL> acls)`
`static Op`
Op.`create(String path, byte[] data, List<ACL> acl, int flags)`
Constructs a create operation.
`static Op`
Op.`create(String path, byte[] data, List<ACL> acl, int flags, long ttl)`
Constructs a create operation.
`static Op`
Op.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode)`
Constructs a create operation.
`static Op`
Op.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, long ttl)`
Constructs a create operation.
`Transaction`
Transaction.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode)`
`String`
ZooKeeper.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode)`
Create a node with the given path.
`void`
ZooKeeper.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, AsyncCallback.Create2Callback cb, Object ctx)`
The asynchronous version of create.
`void`
ZooKeeper.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, AsyncCallback.Create2Callback cb, Object ctx, long ttl)`
The asynchronous version of create with ttl.
`void`
ZooKeeper.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, AsyncCallback.StringCallback cb, Object ctx)`
The asynchronous version of create.
`String`
ZooKeeper.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, Stat stat)`
Create a node with the given path and returns the Stat of that node.
`String`
ZooKeeper.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, Stat stat, long ttl)`
same as `ZooKeeper.create(String, byte[], List, CreateMode, Stat)` but allows for specifying a TTL when mode is `CreateMode.PERSISTENT_WITH_TTL` or `CreateMode.PERSISTENT_SEQUENTIAL_WITH_TTL`.
`static CreateOptions.Builder`
CreateOptions.`newBuilder(List<ACL> acl, CreateMode createMode)`
Constructs a builder for `CreateOptions`.
`void`
AsyncCallback.ACLCallback.`processResult(int rc, String path, Object ctx, List<ACL> acl, Stat stat)`
Process the result of the asynchronous call.
`Stat`
ZooKeeper.`setACL(String path, List<ACL> acl, int aclVersion)`
Set the ACL for the node of the given path if such a node exists and the given aclVersion matches the acl version of the node.
`void`
ZooKeeper.`setACL(String path, List<ACL> acl, int version, AsyncCallback.StatCallback cb, Object ctx)`
The asynchronous version of setACL.

## Uses of ACL in org.apache.zookeeper.cli

Methods in org.apache.zookeeper.cli that return types with arguments of type ACL
Modifier and Type
Method
Description
`static List<ACL>`
AclParser.`parse(String aclString)`
parse string into list of ACL

## Uses of ACL in org.apache.zookeeper.data

Methods in org.apache.zookeeper.data with parameters of type ACL
Modifier and Type
Method
Description
`void`
ACL.`copyFrom(ACL from)`

## Uses of ACL in org.apache.zookeeper.proto

Methods in org.apache.zookeeper.proto that return types with arguments of type ACL
Modifier and Type
Method
Description
`List<ACL>`
CreateRequest.`getAcl()`
`List<ACL>`
CreateTTLRequest.`getAcl()`
`List<ACL>`
GetACLResponse.`getAcl()`
`List<ACL>`
SetACLRequest.`getAcl()`
Method parameters in org.apache.zookeeper.proto with type arguments of type ACL
Modifier and Type
Method
Description
`void`
CreateRequest.`setAcl(List<ACL> m_)`
`void`
CreateTTLRequest.`setAcl(List<ACL> m_)`
`void`
GetACLResponse.`setAcl(List<ACL> m_)`
`void`
SetACLRequest.`setAcl(List<ACL> m_)`
Constructor parameters in org.apache.zookeeper.proto with type arguments of type ACL
Modifier
Constructor
Description
``
`CreateRequest(String path, byte[] data, List<ACL> acl, int flags)`
``
`CreateTTLRequest(String path, byte[] data, List<ACL> acl, int flags, long ttl)`
``
`GetACLResponse(List<ACL> acl, Stat stat)`
``
`SetACLRequest(String path, List<ACL> acl, int version)`

## Uses of ACL in org.apache.zookeeper.retry

Methods in org.apache.zookeeper.retry that return types with arguments of type ACL
Modifier and Type
Method
Description
`List<ACL>`
ZooKeeperRetry.`getACL(String path, Stat stat)`
Method parameters in org.apache.zookeeper.retry with type arguments of type ACL
Modifier and Type
Method
Description
`String`
ZooKeeperRetry.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode)`
`Stat`
ZooKeeperRetry.`setACL(String path, List<ACL> acl, int aclVersion)`

## Uses of ACL in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that return types with arguments of type ACL
Modifier and Type
Method
Description
`List<ACL>`
ZKDatabase.`aclForNode(DataNode n)`
`List<ACL>`
ReferenceCountedACLCache.`convertLong(Long longVal)`
converts a long to a list of acls.
`static List<ACL>`
PrepRequestProcessor.`fixupACL(String path, List<Id> authInfo, List<ACL> acls)`
This method checks out the acl making sure it isn't null or empty, it has valid schemes and ids, and expanding any relative ids that depend on the requestor's authentication information.
`List<ACL>`
DataTree.`getACL(String path, Stat stat)`
`List<ACL>`
DataTree.`getACL(DataNode node)`
`List<ACL>`
ZKDatabase.`getACL(String path, Stat stat)`
get acl for a path
Method parameters in org.apache.zookeeper.server with type arguments of type ACL
Modifier and Type
Method
Description
`void`
ZooKeeperServer.`checkACL(ServerCnxn cnxn, List<ACL> acl, int perm, List<Id> ids, String path, List<ACL> setAcls)`
Grant or deny authorization to an operation on a node as a function of:
`Long`
ReferenceCountedACLCache.`convertAcls(List<ACL> acls)`
converts the list of acls to a long.
`void`
DataTree.`createNode(String path, byte[] data, List<ACL> acl, long ephemeralOwner, int parentCVersion, long zxid, long time)`
Add a new node to the DataTree.
`void`
DataTree.`createNode(String path, byte[] data, List<ACL> acl, long ephemeralOwner, int parentCVersion, long zxid, long time, Stat outputStat)`
Add a new node to the DataTree.
`void`
DumbWatcher.`process(WatchedEvent event, List<ACL> znodeAcl)`
`void`
NettyServerCnxn.`process(WatchedEvent event, List<ACL> znodeAcl)`
`void`
NIOServerCnxn.`process(WatchedEvent event, List<ACL> znodeAcl)`
`abstract void`
ServerCnxn.`process(WatchedEvent event, List<ACL> znodeAcl)`
`void`
ServerWatcher.`process(WatchedEvent event, List<ACL> znodeAcl)`
`Stat`
DataTree.`setACL(String path, List<ACL> acl, int version)`

## Uses of ACL in org.apache.zookeeper.server.auth

Methods in org.apache.zookeeper.server.auth that return types with arguments of type ACL
Modifier and Type
Method
Description
`List<ACL>`
ServerAuthenticationProvider.MatchValues.`getSetAcls()`
Constructor parameters in org.apache.zookeeper.server.auth with type arguments of type ACL
Modifier
Constructor
Description
``
`MatchValues(String path, String id, String aclExpr, int perm, List<ACL> setAcls)`

## Uses of ACL in org.apache.zookeeper.server.watch

Method parameters in org.apache.zookeeper.server.watch with type arguments of type ACL
Modifier and Type
Method
Description
`WatcherOrBitSet`
IWatchManager.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl)`
Distribute the watch event for the given path.
`WatcherOrBitSet`
IWatchManager.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl, WatcherOrBitSet suppress)`
Distribute the watch event for the given path, but ignore those suppressed ones.
`WatcherOrBitSet`
WatchManager.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl)`
`WatcherOrBitSet`
WatchManager.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl, WatcherOrBitSet supress)`
`WatcherOrBitSet`
WatchManagerOptimized.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl)`
`WatcherOrBitSet`
WatchManagerOptimized.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl, WatcherOrBitSet suppress)`

## Uses of ACL in org.apache.zookeeper.txn

Methods in org.apache.zookeeper.txn that return types with arguments of type ACL
Modifier and Type
Method
Description
`List<ACL>`
CreateContainerTxn.`getAcl()`
`List<ACL>`
CreateTTLTxn.`getAcl()`
`List<ACL>`
CreateTxn.`getAcl()`
`List<ACL>`
CreateTxnV0.`getAcl()`
`List<ACL>`
SetACLTxn.`getAcl()`
Method parameters in org.apache.zookeeper.txn with type arguments of type ACL
Modifier and Type
Method
Description
`void`
CreateContainerTxn.`setAcl(List<ACL> m_)`
`void`
CreateTTLTxn.`setAcl(List<ACL> m_)`
`void`
CreateTxn.`setAcl(List<ACL> m_)`
`void`
CreateTxnV0.`setAcl(List<ACL> m_)`
`void`
SetACLTxn.`setAcl(List<ACL> m_)`
Constructor parameters in org.apache.zookeeper.txn with type arguments of type ACL
Modifier
Constructor
Description
``
`CreateContainerTxn(String path, byte[] data, List<ACL> acl, int parentCVersion)`
``
`CreateTTLTxn(String path, byte[] data, List<ACL> acl, int parentCVersion, long ttl)`
``
`CreateTxn(String path, byte[] data, List<ACL> acl, boolean ephemeral, int parentCVersion)`
``
`CreateTxnV0(String path, byte[] data, List<ACL> acl, boolean ephemeral)`
``
`SetACLTxn(String path, List<ACL> acl, int version)`